Index: trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.cs	(revision 3695)
+++ trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.cs	(revision 3696)
@@ -82,10 +82,16 @@
       SetEnabledStateOfControls();
     }
+    protected override void OnLockedChanged() {
+      base.OnLockedChanged();
+      this.SetEnabledStateOfControls();
+    }
 
     private void SetEnabledStateOfControls() {
-      breakpointCheckBox.Enabled = Content != null && !ReadOnly;
+      breakpointCheckBox.Enabled = Content != null && !Locked;
       parameterCollectionView.Enabled = Content != null;
       operatorGraphViewHost.Enabled = Content != null;
     }
+
+    
 
     protected void Content_BreakpointChanged(object sender, EventArgs e) {
Index: trunk/sources/HeuristicLab.Operators.Views/3.3/CheckedMultiOperatorView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views/3.3/CheckedMultiOperatorView.cs	(revision 3695)
+++ trunk/sources/HeuristicLab.Operators.Views/3.3/CheckedMultiOperatorView.cs	(revision 3696)
@@ -78,7 +78,11 @@
       SetEnabledStateOfControls();
     }
+    protected override void OnLockedChanged() {
+      base.OnLockedChanged();
+      this.SetEnabledStateOfControls();
+    }
 
     private void SetEnabledStateOfControls() {
-      breakpointCheckBox.Enabled = Content != null && !ReadOnly;
+      breakpointCheckBox.Enabled = Content != null && !Locked;
       operatorListView.Enabled = Content != null;
       parameterCollectionView.Enabled = Content != null;
Index: trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.cs	(revision 3695)
+++ trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.cs	(revision 3696)
@@ -81,7 +81,11 @@
       SetEnabledStateOfControls();
     }
+    protected override void OnLockedChanged() {
+      base.OnLockedChanged();
+      this.SetEnabledStateOfControls();
+    }
 
     private void SetEnabledStateOfControls() {
-      breakpointCheckBox.Enabled = Content != null && !ReadOnly;
+      breakpointCheckBox.Enabled = Content != null && !Locked;
       operatorListView.Enabled = Content != null;
       parameterCollectionView.Enabled = Content != null;
Index: trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.cs	(revision 3695)
+++ trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.cs	(revision 3696)
@@ -78,7 +78,11 @@
       SetEnabledStateOfControls();
     }
+    protected override void OnLockedChanged() {
+      base.OnLockedChanged();
+      this.SetEnabledStateOfControls();
+    }
 
     private void SetEnabledStateOfControls() {
-      breakpointCheckBox.Enabled = Content != null && !ReadOnly;
+      breakpointCheckBox.Enabled = Content != null && !Locked;
     }
 
Index: trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs	(revision 3695)
+++ trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs	(revision 3696)
@@ -81,7 +81,11 @@
       SetEnabledStateOfControls();
     }
+    protected override void OnLockedChanged() {
+      base.OnLockedChanged();
+      this.SetEnabledStateOfControls();
+    }
 
     private void SetEnabledStateOfControls() {
-      breakpointCheckBox.Enabled = Content != null && !ReadOnly;
+      breakpointCheckBox.Enabled = Content != null && !Locked;
       collectedValuesView.Enabled = Content != null;
       parameterCollectionView.Enabled = Content != null;