Index: /trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithm.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithm.cs	(revision 3703)
+++ /trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithm.cs	(revision 3704)
@@ -101,7 +101,4 @@
       get { return (ValueParameter<IntValue>)Parameters["Elites"]; }
     }
-    private ValueParameter<BoolValue> ParallelParameter {
-      get { return (ValueParameter<BoolValue>)Parameters["Parallel"]; }
-    }
     private ValueParameter<MultiAnalyzer> AnalyzerParameter {
       get { return (ValueParameter<MultiAnalyzer>)Parameters["Analyzer"]; }
@@ -172,8 +169,4 @@
       get { return ElitesParameter.Value; }
       set { ElitesParameter.Value = value; }
-    }
-    public BoolValue Parallel {
-      get { return ParallelParameter.Value; }
-      set { ParallelParameter.Value = value; }
     }
     public MultiAnalyzer Analyzer {
@@ -222,5 +215,4 @@
       Parameters.Add(new OptionalConstrainedValueParameter<IManipulator>("Mutator", "The operator used to mutate solutions."));
       Parameters.Add(new ValueParameter<IntValue>("Elites", "The numer of elite solutions which are kept in each generation.", new IntValue(1)));
-      Parameters.Add(new ValueParameter<BoolValue>("Parallel", "True if the islands should be run in parallel (also requires a parallel engine)", new BoolValue(false)));
       Parameters.Add(new ValueParameter<MultiAnalyzer>("Analyzer", "The operator used to analyze the islands.", new MultiAnalyzer()));
       Parameters.Add(new ValueParameter<MultiAnalyzer>("IslandAnalyzer", "The operator used to analyze each island.", new MultiAnalyzer()));
@@ -243,6 +235,4 @@
       populationCreator.Successor = ussp1;
 
-      ussp1.Parallel = null;
-      ussp1.ParallelParameter.ActualName = ParallelParameter.Name;
       ussp1.Operator = solutionsCreator;
       ussp1.Successor = mainLoop;
Index: /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithm.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithm.cs	(revision 3703)
+++ /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithm.cs	(revision 3704)
@@ -100,7 +100,4 @@
       get { return (ValueParameter<IntValue>)Parameters["Elites"]; }
     }
-    private ValueParameter<BoolValue> ParallelParameter {
-      get { return (ValueParameter<BoolValue>)Parameters["Parallel"]; }
-    }
     private ValueLookupParameter<DoubleValue> SuccessRatioParameter {
       get { return (ValueLookupParameter<DoubleValue>)Parameters["SuccessRatio"]; }
@@ -192,8 +189,4 @@
       get { return ElitesParameter.Value; }
       set { ElitesParameter.Value = value; }
-    }
-    public BoolValue Parallel {
-      get { return ParallelParameter.Value; }
-      set { ParallelParameter.Value = value; }
     }
     private DoubleValue SuccessRatio {
@@ -270,5 +263,4 @@
       Parameters.Add(new OptionalConstrainedValueParameter<IManipulator>("Mutator", "The operator used to mutate solutions."));
       Parameters.Add(new ValueParameter<IntValue>("Elites", "The numer of elite solutions which are kept in each generation.", new IntValue(1)));
-      Parameters.Add(new ValueParameter<BoolValue>("Parallel", "True if the islands should be run in parallel (also requires a parallel engine)", new BoolValue(false)));
       Parameters.Add(new ValueLookupParameter<DoubleValue>("SuccessRatio", "The ratio of successful to total children that should be achieved.", new DoubleValue(1)));
       Parameters.Add(new ValueLookupParameter<DoubleValue>("ComparisonFactorLowerBound", "The lower bound of the comparison factor (start).", new DoubleValue(0)));
@@ -298,6 +290,4 @@
       populationCreator.Successor = ussp1;
 
-      ussp1.Parallel = null;
-      ussp1.ParallelParameter.ActualName = ParallelParameter.Name;
       ussp1.Operator = solutionsCreator;
       ussp1.Successor = mainLoop;
Index: /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASA.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASA.cs	(revision 3703)
+++ /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASA.cs	(revision 3704)
@@ -86,7 +86,4 @@
       get { return (ValueParameter<IntValue>)Parameters["Elites"]; }
     }
-    private ValueParameter<BoolValue> ParallelParameter {
-      get { return (ValueParameter<BoolValue>)Parameters["Parallel"]; }
-    }
     private ValueLookupParameter<DoubleValue> SuccessRatioParameter {
       get { return (ValueLookupParameter<DoubleValue>)Parameters["SuccessRatio"]; }
@@ -161,8 +158,4 @@
       get { return ElitesParameter.Value; }
       set { ElitesParameter.Value = value; }
-    }
-    public BoolValue Parallel {
-      get { return ParallelParameter.Value; }
-      set { ParallelParameter.Value = value; }
     }
     public DoubleValue SuccessRatio {
@@ -242,5 +235,4 @@
       Parameters.Add(new OptionalConstrainedValueParameter<IManipulator>("Mutator", "The operator used to mutate solutions."));
       Parameters.Add(new ValueParameter<IntValue>("Elites", "The numer of elite solutions which are kept in each generation.", new IntValue(1)));
-      Parameters.Add(new ValueParameter<BoolValue>("Parallel", "True if the villages should be run in parallel (also requires a parallel engine)", new BoolValue(false)));
       Parameters.Add(new ValueLookupParameter<DoubleValue>("SuccessRatio", "The ratio of successful to total children that should be achieved.", new DoubleValue(1)));
       Parameters.Add(new ValueLookupParameter<DoubleValue>("ComparisonFactorLowerBound", "The lower bound of the comparison factor (start).", new DoubleValue(0.3)));
@@ -271,6 +263,4 @@
       populationCreator.Successor = ussp1;
 
-      ussp1.Parallel = null;
-      ussp1.ParallelParameter.ActualName = ParallelParameter.Name;
       ussp1.Operator = solutionsCreator;
       ussp1.Successor = mainLoop;